Padre::Config::Host(3pm)

NAME
Padre::Config::Host - Padre configuration storing host state data

DESCRIPTION
This class implements the state data of the host on which Padre is running. See Padre::Config for more information on the various types of preferences supported by Padre.

All those state data are stored in a database managed with "Padre::DB". Refer to this module for more information on how this works.

PUBLIC API

  Constructors

read
        my $config = Padre::Config::Host->read;

    Load & return the host configuration from the database. Return "undef" in case of failure.

    No parameters.

  Object methods

write
        $config->write;

    (Over-)write host configuration to the database.

    No parameters.

COPYRIGHT & LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.